MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032113Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-02 23:002021-02-06 14:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032113: Visualization, TKOpenGl - broken PBR diffuse map within OpenGl_Caps::buffersOpaqueAlpha() on OpenGL ES 2.0
DescriptionOpenGl_PBREnvironment baking doesn't work as expected with OpenGl_Caps::buffersOpaqueAlpha() enabled on OpenGL ES 2.0 due to disabled writes into Alpha channel.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032083verifiedbugmaster Visualization, TKOpenGl - PBR rendering is unavailable on Apple A12 Bionic (iPad) 
child of 0031597verifiedbugmaster Visualization, TKOpenGl - allow disabling Alpha component writes within OpenGl_Context::ColorMask() 

-  Notes
(0098630)
git (administrator)
2021-02-03 04:03

Branch CR32113 has been created by kgv.

SHA-1: 6bbc174867e115621d4447f59f1f99659deb7a1e


No new revisions were added by this update.
(0098631)
kgv (developer)
2021-02-03 04:04

Patch is ready for review
- OCCT branch: CR32113.
(0098641)
osa (developer)
2021-02-03 14:15

The patch was reviewed without remarks
(0098717)
bugmaster (administrator)
2021-02-06 14:16

Combination -
OCCT branch : IR-2021-02-05
master SHA - d918913f1cfa6df6852ccc3cab50aae2b5a29821
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-02-05 SHA - 7f3780c87f7b9ca7bc315437ae37fd3815a4316d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17801.74000000001 / 17781.070000000076 [+0.12%]
Products
Total CPU difference: 11522.820000000105 / 11527.24000000011 [-0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 19371.578125 / 19391.0625 [-0.10%]
Products
Total CPU difference: 12882.46875 / 12836.03125 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0098729)
git (administrator)
2021-02-06 14:29

Branch CR32113 has been deleted by inv.

SHA-1: 6bbc174867e115621d4447f59f1f99659deb7a1e

- Related Changesets
occt: master 7106e4c8
Timestamp: 2021-02-02 20:02:51
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032113: Visualization, TKOpenGl - broken PBR diffuse map within OpenGl_Caps::buffersOpaqueAlpha() on OpenGL ES 2.0

Fixed enabling of alpha channel writes while baking PBR environment.
mod - src/OpenGl/OpenGl_PBREnvironment.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-02 23:00 kgv New Issue
2021-02-02 23:00 kgv Assigned To => kgv
2021-02-02 23:01 kgv Relationship added child of 0032083
2021-02-02 23:03 kgv Relationship added child of 0031597
2021-02-03 04:03 git Note Added: 0098630
2021-02-03 04:04 kgv Note Added: 0098631
2021-02-03 04:04 kgv Assigned To kgv => osa
2021-02-03 04:04 kgv Status new => resolved
2021-02-03 14:15 osa Note Added: 0098641
2021-02-03 14:15 osa Assigned To osa => bugmaster
2021-02-03 14:15 osa Status resolved => reviewed
2021-02-06 14:16 bugmaster Note Added: 0098717
2021-02-06 14:16 bugmaster Status reviewed => tested
2021-02-06 14:20 bugmaster Test case number => Not required
2021-02-06 14:24 bugmaster Changeset attached => occt master 7106e4c8
2021-02-06 14:24 bugmaster Status tested => verified
2021-02-06 14:24 bugmaster Resolution open => fixed
2021-02-06 14:29 git Note Added: 0098729


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker